package imcacat.imcabc;

import org.jfree.chart.labels.XYItemLabelGenerator;
import org.jfree.data.xy.XYDataset;

/**
 * I generate the label for the beam position in a {@link BpmChartPanel}.
 */
public class BpmXYItemLabelGenerator implements XYItemLabelGenerator {

  public String generateLabel(XYDataset dataset, int series, int item) {
    return String.format("(%.0f, %.0f)", dataset.getXValue(series, item),
      dataset.getYValue(series, item));
  }
}
