package imcacat.imcabc;

import java.io.IOException;
import java.text.ParseException;

/**
 * I am an exception thrown when a {@link ChoochWorker} fails to load a scan
 * data file.  My cause will either be an <code>IOException</code> or a
 * <code>ParseException</code>.
 */
public class ChoochWorkerLoadDataFileException extends Exception {
  private static final long serialVersionUID = 1;

  public ChoochWorkerLoadDataFileException(IOException e) {
    super(e);
  }

  public ChoochWorkerLoadDataFileException(ParseException e) {
    super(e);
  }
}
