package imcacat.imcabc;

import java.io.IOException;
import java.text.ParseException;

/**
 * I am an exception thrown when a {@link ChoochWorker} fails to read a
 * chooch output file.  My cause will either be an <code>IOException</code> or
 * a <code>ParseException</code>.
 */
public class ChoochWorkerReadChoochOutputFileException extends Exception {
  private static final long serialVersionUID = 1;

  public ChoochWorkerReadChoochOutputFileException(IOException e) {
    super(e);
  }

  public ChoochWorkerReadChoochOutputFileException(ParseException e) {
    super(e);
  }
}
