package imcacat.imcabc;

/**
 * I am thrown when there is a failure to change the beamline experiment
 * state.
 */
public class ExperimentStateNotAchievedException extends Exception {
  private static final long serialVersionUID = 1L;

  public ExperimentStateNotAchievedException() {
    super();
  }

  public ExperimentStateNotAchievedException(String message) {
    super(message);
  }

  public ExperimentStateNotAchievedException(Throwable cause) {
    super(cause);
  }

  public ExperimentStateNotAchievedException(String message,
      Throwable cause) {
    super(message, cause);
  }
}
