package imcacat.imcabc;

/**
 * I am the presentation model for {@link ImcaFilterRackDialog}.
 */
public class ImcaFilterRackPresentationModel<T extends ImcaFilterRack> extends
    FilterRackPresentationModel<T> {
  private static final long serialVersionUID = 1;

  public ImcaFilterRackPresentationModel(T bean) {
    super(bean);
  }

  public int[] getFilterThicknesses() {
    return getBean().getFilterThicknesses();
  }

  public int getMaxFilterThickness() {
    return getBean().getMaxFilterThickness();
  }
}
