package imcacat.imcabc;

import imcacat.epicsca4j.util.ObjectUtilities;

import com.jgoodies.binding.beans.Model;

/**
 * I am the model for this application.
 */
public class Imcabc extends Model {
  private static final long serialVersionUID = 1;

  public static final String PROPNAME_OPERATION = "operation";

  protected Operation operation;

  public Imcabc() {
    super();
    operation = Operation.IDLE;
  }


  public Operation getOperation() {
    return operation;
  }
  public void setOperation(Operation newValue) {
    Operation oldValue = operation;
    operation = newValue;
    if (!ObjectUtilities.areEqual(oldValue, newValue))
      firePropertyChange(Imcabc.PROPNAME_OPERATION, oldValue, newValue);
  }
}
