package imcacat.imcabc;

import imcacat.epicsca4j.ca.EpicsCaException;

import java.io.File;

/**
 * I am a <code>MadFluorescenceScan</code> for the 17-BM beamline.
 */
public class MadFluorescenceScan17bm extends MadFluorescenceScan {
  private static final long serialVersionUID = 1;

  public MadFluorescenceScan17bm()
  throws InterruptedException, EpicsCaException {
    super();
  }

  public MadFluorescenceScan17bm(MadElement element, MadEdge edge)
  throws InterruptedException, EpicsCaException {
    super(element, edge);
  }

  public MadFluorescenceScan17bm(MadElement element, MadEdge edge,
      MadScanType scanType)
  throws InterruptedException, EpicsCaException {
    super(element, edge, scanType);
  }

  public MadFluorescenceScan17bm(MadElement element, MadEdge edge,
      MadScanType scanType, File outputDirectory)
  throws InterruptedException, EpicsCaException {
    super();
  }

  protected MadFluorescenceScanRunner createMadFluorescenceScanRunner()
  throws InterruptedException, EpicsCaException {
    return new MadFluorescenceScanRunner17bm();
  }

  protected MadFluorescenceScanRunner createMadFluorescenceScanRunner(
      MadEdge edge, MadScanType scanType, File outputDirectory)
  throws InterruptedException, EpicsCaException {
    return new MadFluorescenceScanRunner17bm(edge, scanType, outputDirectory);
  }
}
