package imcacat.imcabc;

import imcacat.epicsca4j.ca.EpicsCaException;
import imcacat.epicsca4j.model.EpicsScan;

/**
 * I am an <code>Optimization</code> that does nothing.
 */
public class NullOptimization extends Optimization {
  public NullOptimization() throws EpicsCaException {
    super();
  }

  protected void go() {
    setProgressAndStatusToComplete();
  }

  @Override
  protected void initialize() {}

  protected EpicsScan getScanInstance() {
    return null;
  }

  protected EpicsScanResetter getScanResetterInstance() {
    return null;
  }

  @Override
  public void release() {}
}
