package imcacat.imcabc;

import java.beans.PropertyChangeEvent;

import imcacat.epicsca4j.bean.ExternallyFireablePropertyChangeBean;

import com.jgoodies.binding.beans.Model;

/**
 * I am a model for details about an automatic {@link Optimization}.
 * <p>
 * Subclasses should override my <code>release</code> method if they allocate
 * resources that should be released.
 *
 * @see AutoOptimizationDetailsPresentationModel
 * @see AutoOptimizationDetailsDialog
 */
public class AutoOptimizationDetails extends Model
implements ExternallyFireablePropertyChangeBean {
  private static final long serialVersionUID = 1;

  protected AutoOptimizationDetails() {
    super();
  }

  public void release() {
  }

  public void externallyFirePropertyChange(PropertyChangeEvent event) {
    firePropertyChange(event);
  }
}
