package imcacat.imcabc;

import com.jgoodies.binding.PresentationModel;
import com.jgoodies.binding.value.ValueHolder;
import com.jgoodies.binding.value.ValueModel;

/**
 * I am the presentation model for {@link AutoOptimizationDetailsDialog}.
 *
 * @see AutoOptimizationDetailsPresentationModel
 */
public class AutoOptimizationDetailsPresentationModel
extends PresentationModel<AutoOptimizationDetails> {
  private static final long serialVersionUID = 1;

  public AutoOptimizationDetailsPresentationModel() {
    this(new AutoOptimizationDetails());
  }

  public AutoOptimizationDetailsPresentationModel(
      AutoOptimizationDetails bean) {
    this(new ValueHolder(bean, true));
  }

  public AutoOptimizationDetailsPresentationModel(ValueModel beanChannel) {
    super(beanChannel);
  }
}
