package imcacat.imcabc;

import java.io.File;

/**
 * I model this application's command line options.
 */
public class CliArguments {
  private boolean help = false;
  private boolean version = false;
  private File confFile = null;

  public boolean help() {
    return help;
  }

  public void help(boolean help) {
    this.help = help;
  }

  public boolean version() {
    return version;
  }

  public void version(boolean version) {
    this.version = version;
  }

  public File confFile() {
    return confFile;
  }

  public void confFile(File confFile) {
    this.confFile = confFile;
  }

  public boolean hasConfFile() {
    return confFile != null;
  }
}
