package imcacat.imcabc;

import imcacat.epicsca4j.ca.EpicsCaException;

/**
 * I am an <code>ImcabcPresentationModel</code> for the 17-BM beamline.
 */
public class ImcabcPresentationModel17bm extends ImcabcPresentationModel {
  private static final long serialVersionUID = 1;

  public ImcabcPresentationModel17bm()
  throws InterruptedException, EpicsCaException {
    super();
  }

  public ImcabcPresentationModel17bm(Imcabc bean)
  throws InterruptedException, EpicsCaException {
    super(bean);
  }

  protected MadFluorescenceScan createMadFluorescenceScan()
  throws InterruptedException, EpicsCaException {
    return new MadFluorescenceScan17bm();
  }
}
