package imcacat.imcabc;

import imcacat.epicsca4j.ca.EpicsCaException;

/**
 * I am an <code>ImcabcPresentationModel</code> for the 17-ID beamline.
 */
public class ImcabcPresentationModel17id extends ImcabcPresentationModel {
  private static final long serialVersionUID = 1;

  public ImcabcPresentationModel17id()
  throws InterruptedException, EpicsCaException {
    super();
  }

  public ImcabcPresentationModel17id(Imcabc bean)
  throws InterruptedException, EpicsCaException {
    super(bean);
  }

  protected MadFluorescenceScan createMadFluorescenceScan()
  throws InterruptedException, EpicsCaException {
    return new MadFluorescenceScan17id();
  }
}
