package imcacat.imcabc;

/**
 * I model the reasons a {@link MadFluorescenceScanDataProcessor} calculation
 * can end.
 */
public enum MadFluorescenceScanDataProcessorCalculationDoneReason {
  SUCCESS,
  CANCELED,
  NON_ZERO_EXIT_VALUE,
  LOAD_DATA_FILE_IO_EXCEPTION,
  LOAD_DATA_FILE_PARSE_EXCEPTION,
  CREATE_CHOOCH_INPUT_FILE_IO_EXCEPTION,
  READ_CHOOCH_OUTPUT_FILE_IO_EXCEPTION,
  READ_CHOOCH_OUTPUT_FILE_PARSE_EXCEPTION,
  EXCEPTION,
  NONE
}
