package imcacat.imcabc;

import java.beans.PropertyChangeEvent;

import imcacat.epicsca4j.bean.ExternallyFireablePropertyChangeBean;
import imcacat.epicsca4j.ca.EpicsCaException;

import com.jgoodies.binding.beans.Model;

/**
 * I am the model for the Optimize tab.
 */
public abstract class OptimizeFacade extends Model
implements ExternallyFireablePropertyChangeBean {
  private static final long serialVersionUID = 1;

  public OptimizeFacade()
  throws InterruptedException, EpicsCaException {
    super();
    initialize();
  }

  protected void initialize()
  throws InterruptedException, EpicsCaException {
    initializeManualSection();
  }

  protected abstract void initializeManualSection()
  throws InterruptedException, EpicsCaException;

  public void externallyFirePropertyChange(PropertyChangeEvent event) {
    firePropertyChange(event);
  }
}
