package imcacat.imcabc;

/**
 * I am an error thrown in cases where the software developer has written code
 * incorrectly and the program cannot be expected to continue.
 */
public class ProgrammerError extends Error {
  private static final long serialVersionUID = 1;

  public ProgrammerError() {
    super();
  }

  public ProgrammerError(String message) {
    super(message);
  }

  public ProgrammerError(Throwable cause) {
    super(cause);
  }

  public ProgrammerError(String message, Throwable cause) {
    super(message, cause);
  }
}
