package imcacat.imcabc;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.jgoodies.binding.value.ValueModel;

/**
 * I set the value of my <code>ValueModel</code> to my value when I am
 * performed.
 *
 * @see com.jgoodies.binding.value.ValueModel
 */
public class SetValueButtonAction extends AbstractAction {
  private static final long serialVersionUID = 1;

  protected Object value;
  protected ValueModel model;

  protected SetValueButtonAction(String name, ValueModel model,
      Object value) {
    super();

    this.model = model;
    this.value = value;
    putValue(Action.NAME, name);
  }

  public void actionPerformed(ActionEvent e) {
    model.setValue(value);
  }
}
