package imcacat.imcabc;

import org.jfree.data.xy.XYSeries;
import org.jfree.data.xy.XYSeriesCollection;

/**
 * I set the specified <code>XYSeries</code> in the specified
 * <code>XYSeriesCollection</code> when I am run.
 */
public class XYSeriesSetter implements Runnable {
  protected XYSeriesCollection collection;
  protected XYSeries series;

  public XYSeriesSetter(XYSeriesCollection collection, XYSeries series) {
    super();
    this.collection = collection;
    this.series = series;
  }

  public void run() {
    int index = collection.indexOf(series.getKey());
    if (index != -1) collection.removeSeries(index);
    collection.addSeries(series);
  }

}
